Package org.linphone.mediastream.video

# Class AndroidVideoWindowImpl

java.lang.Object
org.linphone.mediastream.video.AndroidVideoWindowImpl

public class AndroidVideoWindowImpl extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AndroidVideoWindowImpl.VideoWindowListener`
Utility listener interface providing callback for Android events useful to Mediastreamer.

## Constructor Summary

Constructors
Constructor
Description
`AndroidVideoWindowImpl(android.view.SurfaceView renderingSurface, android.view.SurfaceView previewSurface)`
Deprecated.
Use the new constructor instead
`AndroidVideoWindowImpl(android.view.SurfaceView renderingSurface, android.view.SurfaceView previewSurface, AndroidVideoWindowImpl.VideoWindowListener listener)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`android.graphics.Bitmap`
`getBitmap()`
`android.view.SurfaceView`
`getPreviewSurfaceView()`
`android.view.Surface`
`getSurface()`
`void`
`init()`
Deprecated.
It is now automatically called by the new constructor
`void`
`release()`
`void`
`requestRender()`
`static int`
`rotationToAngle(int r)`
`void`
`setListener(AndroidVideoWindowImpl.VideoWindowListener l)`
Deprecated.
Specify pass a listener to the constructor instead.
`void`
`setOpenGLESDisplay(long ptr)`
`void`
`update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AndroidVideoWindowImpl

public AndroidVideoWindowImpl(android.view.SurfaceView renderingSurface, android.view.SurfaceView previewSurface, AndroidVideoWindowImpl.VideoWindowListener listener)
Constructor

Parameters:
  `renderingSurface` - Surface created by the application that will be used to render decoded video stream
  `previewSurface` - Surface created by the application used by Android's Camera preview framework
  `listener` - Specified a listener. null is accepted

### AndroidVideoWindowImpl

public AndroidVideoWindowImpl(android.view.SurfaceView renderingSurface, android.view.SurfaceView previewSurface)
Deprecated.
Use the new constructor instead

Parameters:
  `renderingSurface` - Surface created by the application that will be used to render decoded video stream
  `previewSurface` - Surface created by the application used by Android's Camera preview framework

## Method Details

### init

public void init()
Deprecated.
It is now automatically called by the new constructor

### release

public void release()

### setListener

public void setListener(AndroidVideoWindowImpl.VideoWindowListener l)
Deprecated.
Specify pass a listener to the constructor instead.
Set a listener

Parameters:
  `l` - A listener

### getSurface

public android.view.Surface getSurface()

### getPreviewSurfaceView

public android.view.SurfaceView getPreviewSurfaceView()

### getBitmap

public android.graphics.Bitmap getBitmap()

### setOpenGLESDisplay

public void setOpenGLESDisplay(long ptr)

### requestRender

public void requestRender()

### update

public void update()

### rotationToAngle

public static int rotationToAngle(int r)